package ru.micord.ervu.account_applications.security.context;


import java.util.Set;

import ru.micord.ervu.account_applications.security.model.UserSession;
import ru.micord.ervu.account_applications.security.model.role.ErvuPermissionAuthority;

public interface SecurityContext {
  String getDomainId();

  Set<ErvuPermissionAuthority> getPermissions();

  String getUserId();

  String getToken();

  UserSession getUserSession();

}
